#include <Arduino.h>
#include "ModbusRtu.h"
#include "MqttHelper.h"
#include "Json.h"
#include "Global.h"
#include <ArduinoQueue.h>
#include <cJSON.h>
#include <FreeRTOS.h>

#define MAXITEMS  1000
#define MAXMEMORY 1000

/**
 * @brief 主设备
 *
 */
class MainDevice
{
private:
     TaskHandle_t MqttTest;

public:
    MainDevice(/* args */);
    ~MainDevice();

    void Init();
    void Start();
};

extern MainDevice _mainDevice;
